Bug 191862 - NullPointerException at org.netbeans.modules.subversion.ui.wizards.checkoutstep.CheckoutStep.setup
NullPointerException at org.netbeans.modules.subversion.ui.wizards.checkoutst...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 15:44 UTC by alexismp
Modified: 2010-12-01 06:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.07 KB, text/plain)
2010-11-11 15:45 UTC, alexismp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexismp 2010-11-11 15:44:57 UTC
This bug was originally marked as duplicate of bug 171347, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 6.9 (Build 201006101454)
VM: Java HotSpot(TM) 64-Bit Server VM, 17.1-b03-307, Java(TM) SE Runtime Environment, 1.6.0_22-b04-307-10M3261
OS: Mac OS X

User Comments:
GUEST: Going to checkout a project from a subversion repository.

GUEST: No idea

GUEST: Opening the software.

GUEST: Trying to checkout new project - select tools, subversion - client hangs

GUEST: abrindo o netbeans (analisando projetos)

GUEST: Checking out SVN Repository

GUEST: going thru process to check out.

GUEST: This error happened when I started netbeans.

GUEST: NB was opened when there was no exicting project sources. Then i was trying to use Team>Subversion>Checkout but url field was inactive.

alexismp: Just brought up the check out from SVN window. The repository field is greyed out.

GUEST: Try to checkout a project from SVN displays a form that asks for the SVN URL, however, nothing can be entered there




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.subversion.ui.wizards.checkoutstep.CheckoutStep.setup(CheckoutStep.java:126)
   at org.netbeans.modules.subversion.ui.wizards.CheckoutWizard$PanelsIterator.nextPanel(CheckoutWizard.java:179)
   at org.openide.WizardDescriptor$Listener$1.run(WizardDescriptor.java:2018)
   at org.openide.WizardDescriptor$8$1.run(WizardDescriptor.java:1436)
   at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
   at java.awt.EventQueue.dispatchEvent(EventQueue.java:633)
Comment 1 alexismp 2010-11-11 15:45:00 UTC
Created attachment 102916 [details]
stacktrace
Comment 2 Ondrej Vrabec 2010-11-30 16:25:18 UTC
fix: #570b696ce11c - http://hg.netbeans.org/core-main/rev/570b696ce11c
Comment 3 Quality Engineering 2010-12-01 06:41:08 UTC
Integrated into 'main-golden', will be available in build *201012010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/570b696ce11c
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #191862 - NullPointerException at org.netbeans.modules.subversion.ui.wizards.checkoutstep.CheckoutStep.setup


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo